//============================================================================
//============================================================================
//
// FILE:	IsoACLighting-Comms.c
//
// TITLE:	Comms Bridging file
// 
// Version: 22 April 2009 - Release 1.2 - Internal Release (BRL)
//============================================================================
//============================================================================
#include "PeripheralHeaderIncludes.h"

void SetupSciGuiVars(void);

extern void SCIA_Init();
extern void SerialHostComms();


//SCI GUI support variables
// sets a limit on the amount of external GUI controls - increase as necessary
int16 *varSetTxtList[8];	//8 textbox controlled variables
int16 *varSetBtnList[8];	//8 button controlled variables
int16 *varSetSldrList[8];	//16 slider controlled variables
int16 *varGetList[8];		//16 variables sendable to GUI
int16 *arrayGetList[8];		//8 arrays sendable to GUI

extern int16 FlashID;
extern int16 LEDs_linked;
extern int16 ResonantEnable;
extern long SlewStep_LED;

extern int16 Gui_IsetLed[6];
extern int16 Gui_Vset_LLC;

extern int16 Gui_ILed[6];
extern int16 Gui_Vout_LLC;
extern int16 Gui_Ipri_LLC;

int16 SerialCommsTimer;
int16 CommsOKflg;



void Comms_Init()
{
	SCIA_Init();
	
	SetupSciGuiVars();
}

void Comms_Run()
{
	SerialCommsTimer++;
	SerialHostComms();
} 


void SetupSciGuiVars()
{
//=================================================================================
//	INITIALISATION - GUI connections
//=================================================================================
// Use this section only if you plan to "Instrument" your application using the 
// Microsoft C# freeware GUI Template provided by TI

	//"Set" variables
	//---------------------------------------
	// assign GUI variable Textboxes to desired "setable" parameter addresses
	varSetTxtList[0] = &LEDs_linked;
	varSetTxtList[1] = (int *)&SlewStep_LED;

	// assign GUI Buttons to desired flag addresses
	varSetBtnList[0] = &ResonantEnable;

	// assign GUI Sliders to desired "setable" parameter addresses
	varSetSldrList[0] = &Gui_Vset_LLC;
	varSetSldrList[1] = &Gui_IsetLed[0];
	varSetSldrList[2] = &Gui_IsetLed[1];
	varSetSldrList[3] = &Gui_IsetLed[2];
	varSetSldrList[4] = &Gui_IsetLed[3];
	varSetSldrList[5] = &Gui_IsetLed[4];
	varSetSldrList[6] = &Gui_IsetLed[5];

	//"Get" variables
	//---------------------------------------
	// assign a GUI "getable" parameter address
	varGetList[0] = &FlashID;
	varGetList[1] = &Gui_Vout_LLC;
	//varGetList[2] = &Gui_Ipri_LLC;

	// assign a GUI "getable" parameter array address
	arrayGetList[0] = &Gui_ILed[0];  	//only need to set initial position of array,
										//  program will run through it accordingly
}



