//----------------------------------------------------------------------------------
//	FILE:			BridgelessPFC-Settings.h
//
//	Description:    This file contains the definitions for this project, and is 
//					linked to both BridgelessPFC-Main.c and BridgelessPFC-DPL-ISR.asm 
//					(where X is the project name).  
//
//	Type: 			Device Independent
//
//----------------------------------------------------------------------------------
//  Copyright Texas Instruments  2010
//----------------------------------------------------------------------------------
//  Revision History:
//----------------------------------------------------------------------------------
//  Date	  | Description / Status
//----------------------------------------------------------------------------------
// 9 April 2010 - BL
//----------------------------------------------------------------------------------

#ifndef _PROJSETTINGS_H
#define _PROJSETTINGS_H

//**********************************************************************************
//  NOTE: WHEN CHANGING THIS FILE PLEASE REBUILD ALL
//**********************************************************************************

//==================================================================================
// Incremental Build options for System check-out
//==================================================================================
// BUILD 1 	Open Loop 
// BUILD 2 	Closed Loop 

#define INCR_BUILD 2
		
//==================================================================================
// System Settings
//----------------------------------------------------------------------------------
//Add any system specific setting below
#define HistorySize 8

#define LLC_CONTROL_POLARITY 1
	// +1 <-> Control Signal minimum <-> Min Period <-> Max Frequency
	// -1 <-> Control Signal minimum <-> Max Period <-> Min Frequency
// resonant tank frq = 114kHz = 526 cnts
#define LLC_MIN_PERIOD 400		//150kHz
#define LLC_MAX_PERIOD 950		//63.2kHz

//==================================================================================
// Interrupt Framework options
//==================================================================================

#define EPWMn_DPL_ISR	1	// for EPWM triggered ISR set as 1
#define ADC_DPL_ISR	    0	// for ADC triggered ISR set as 1 

//----------------------------------------------------------------------------------
// If EPWMn_DPL_ISR = 1, then choose which module
//----------------------------------------------------------------------------------
#define EPWM1			1	// EPWM1 provides ISR trigger
#define EPWM2			0 	// EPWM2 provides ISR trigger
#define EPWM3			0	// EPWM3 provides ISR trigger
#define EPWM4			0	// EPWM4 provides ISR trigger
#define EPWM5			0   // EPWM5 provides ISR trigger
#define EPWM6			0   // EPWM6 provides ISR trigger

#endif //_PROJSETTINGS_H

